Bug 1678520 (CVE-2019-7164) - CVE-2019-7164 python-sqlalchemy: SQL Injection when the order_by parameter can be controlled
Summary: CVE-2019-7164 python-sqlalchemy: SQL Injection when the order_by parameter ca...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-7164
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1678523 1678531 1678533 1678534 1678535 1678734 1695754 1674060 1678524 1678525 1678526 1678527 1678528 1678530 1678532 1693968 1693978 1697624
Blocks: 1674063
TreeView+ depends on / blocked
 
Reported: 2019-02-19 02:04 UTC by Doran Moppert
Modified: 2019-09-29 15:08 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:48:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0981 None None None 2019-05-07 04:20:00 UTC
Red Hat Product Errata RHSA-2019:0984 None None None 2019-05-07 04:20:33 UTC

Description Doran Moppert 2019-02-19 02:04:19 UTC
A vulnerability was found in SQLAlchemy 1.2.17. An SQL Injection when the order_by parameter can be controlled.

Upstream issue:

https://github.com/sqlalchemy/sqlalchemy/issues/4481

Upstream patch:

https://github.com/sqlalchemy/sqlalchemy/commit/30307c4616ad67c01ddae2e1e8e34fabf6028414

Comment 1 Doran Moppert 2019-02-19 02:06:02 UTC
This flaw is related to CVE-2019-7548 (bug 1674059) and is fixed by the same upstream patch.

Comment 2 Doran Moppert 2019-02-19 02:12:16 UTC
This issue has been rated Moderate because it is not common in SQLAlchemy backed applications for the order_by parameter to be populated by an externally-controlled string. The upstream issue has more discussion about safe use of group_by and order_by.

Comment 3 Doran Moppert 2019-02-19 02:20:09 UTC
Created python-sqlalchemy tracking bugs for this issue:

Affects: fedora-all [bug 1674060]

Comment 8 Hardik Vyas 2019-02-20 12:37:18 UTC
Statement:

This issue affects the version of python-sqlalchemy(bundled with calamari-server) shipped with Red Hat Ceph Storage 2, as it can be abused by SQL Injection.

Comment 10 errata-xmlrpc 2019-05-07 04:19:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:0981 https://access.redhat.com/errata/RHSA-2019:0981

Comment 11 errata-xmlrpc 2019-05-07 04:20:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:0984 https://access.redhat.com/errata/RHSA-2019:0984


Note You need to log in before you can comment on or make changes to this bug.